Page MenuHomePhabricator

Enable VisualEditor in draft namespace (Нацрт) on sr.wiki
Closed, ResolvedPublic

Description

Community consensus: reached.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 11 2019, 11:33 PM
DannyS712 added a project: User-DannyS712.
DannyS712 added a subscriber: DannyS712.

I'd like to work on this task once consensus is achieved

@DannyS712 Hi, can I work on this instead of you because srwiki is my main wiki?

Restricted Application added a project: User-Zoranzoki21. · View Herald TranscriptMay 11 2019, 11:42 PM
Acamicamacaraca triaged this task as Low priority.May 11 2019, 11:43 PM
Zoranzoki21 raised the priority of this task from Low to Needs Triage.May 11 2019, 11:44 PM

No needs triaging...

DannyS712 changed the task status from Open to Stalled.May 22 2019, 5:35 PM

Waiting for community consensus

Acamicamacaraca changed the task status from Stalled to Open.May 23 2019, 6:51 PM
Acamicamacaraca updated the task description. (Show Details)

Change 512220 had a related patch set uploaded (by Acamicamacaraca; owner: Acamicamacaraca):
[operations/mediawiki-config@master] Enable VisualEditor in draft namespace on sr.wiki

https://gerrit.wikimedia.org/r/512220

@Acamicamacaraca Hi there, to get this patch deployed, you'll need to schedule it for a SWAT deploy. Here is how to do it:

  1. Firstly, you need to find a SWAT window you can be available in. All deployment windows (both SWAT and non-SWAT) are in https://wikitech.wikimedia.org/wiki/Deployments this page. You need to pick any window that's named European Mid-day SWAT, Morning SWAT or Evening SWAT. If you can't be available during the whole hour, you can try to schedule your patch and ask the deployer to deploy your patches before everything else because you're in a hurry.
  2. Edit the Deployments page and add your patch. It's done by adding wikitext you can see below this text (named "scheduling syntax"). The number of your patch is announced for instance by gerritbot (change NUMBER had a related patch set uploaded...), or it can be found in the URL to the patch. It's NOT the change-id from commit message. Save your edit. Note: If you've never been to IRC before, I recommend to check if your desired IRC nickname is available by trying to connect at https://webchat.freenode.net/.
  3. SWAT deployer might ask you to test your change at debug servers, to prevent any bugs being introduced into production accidentaly. You can connect to production servers by using a browser extension. It's recommended to install it before the window, see https://wikitech.wikimedia.org/wiki/X-Wikimedia-Debug#Browser_extensions.
  4. At the start of the window (ideally, a minute or two before the actual start), be available in #wikimedia-operations IRC channel. If you've never been to IRC channel before, the easiest way how to connect is https://webchat.freenode.net. Enter the same IRC nickname as in the Deployments page at wikitech. Enter #wikimedia-operations (including the hashtag) to Channels field, don't check Auth to services, check the captcha box and click Connect. Within few seconds, you should be in #wikimedia-operations channel.
  5. When the window starts, a bot will announce the channel. Then, you should say something (like "hi" or "here") to tell the deployers you're ready.
  6. The deployer will then ping you when your patch(es) are about to be deployed. Usually, patches are deployed in order according to what's in the Deployments page, but SWAT deployer might choose any order, as he/she deems appropriate. Generally, the deployer will firstly merge your patch, then deploy it to one of the debug servers and ask you to test it at the debug server, after you say it's all working correctly, they will deploy the patch to production and ask you to test it at production once more, to ensure everything's working correctly. If you don't understand anything SWAT deployer asks you to do, feel free to ask them, they'll be always happy to help.
  7. Once all your patches are deployed, you can quit the channel.

I hope those steps will help you to schedule your first patch for SWAT deployment. Feel free to ask here if you don't understand anything!

scheduling syntax
{{ircnick|IRC nickname}}
* [config] {{gerrit|numberofyourpatchingerrit}} first line of commit message
Urbanecm triaged this task as Normal priority.Jun 1 2019, 8:12 PM
DannyS712 moved this task from Unsorted to Others on the User-DannyS712 board.Jun 3 2019, 10:01 AM

@Zoranzoki21 can you do this? Thanks in advance.

@Zoranzoki21 can you do this? Thanks in advance.

I don't have free time. Sorry!

This comment was removed by DannyS712.

@DannyS712 Hey! Can you do this because Zoran don't have free time?

I'm sorry, I don't do SWAT deployments

@Urbanecm can you do this please?

Okay. @Acamicamacaraca Why don't you do it yourself? It's quite easy :).

Urbanecm moved this task from Backlog to To deploy on the User-Urbanecm board.Jun 15 2019, 7:20 PM

Change 512220 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable VisualEditor in draft namespace on sr.wiki

https://gerrit.wikimedia.org/r/512220

Mentioned in SAL (#wikimedia-operations) [2019-06-17T11:28:02Z] <awight@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:512220|Enable VisualEditor in draft namespace on sr.wiki (T223024)]] (duration: 00m 47s)

Urbanecm closed this task as Resolved.Jun 17 2019, 11:56 AM